Package ru.bitel.bgbilling.modules.phone.common.service

# Interface GatesService

    public interface GatesService

Веб-сервис для работы с gate. Изначальн был поделен на 2 интерфейса - WSGates и WSGateType . Но из-за странного ограничения sun-ской имплементации web-сервисов 2 разных интрефейса в одном пакете не могут имеить одинаковые имена ..У меня были WSGates.update( Gate gate ) и WSGateType.update ( GateType type ). Пришлось это объединить.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addContractGate​(int cid, int gateId)` |
  `void` | `deleteContractGate​(int cid, int gid)` |
  `void` | `deleteGate​(int gateId)` |
  `void` | `deleteType​(int id)` |
  `java.util.List<Gate>` | `getContractGates​(int cid)` |
  `GateType` | `getType​(int id)` |
  `java.util.List<Gate>` | `listGates()` |
  `java.util.List<GateType>` | `listTypes()` |
  `void` | `updateGate​(Gate gate)` |
  `int` | `updateType​(GateType type, boolean checkScript)` |

- ## Method Details

  - ### listGates

    java.util.List<Gate> listGates() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateGate

    void updateGate​(Gate gate) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteGate

    void deleteGate​(int gateId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listTypes

    java.util.List<GateType> listTypes() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getType

    GateType getType​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateType

    int updateType​(GateType type, boolean checkScript) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteType

    void deleteType​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractGates

    java.util.List<Gate> getContractGates​(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addContractGate

    void addContractGate​(int cid, int gateId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteContractGate

    void deleteContractGate​(int cid, int gid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`